Unix
Mac OS X
iOS
Windows
Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Links

# Module stream Methods

## ReadStream

ReadStream() makes the image pixels available to a user supplied callback method immediately upon reading a scanline with the ReadImage() method.

The format of the ReadStream() method is:

      Image *ReadStream(const ImageInfo *image_info,StreamHandler stream,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image_info

the image info.

##### stream

a callback method.

##### exception

return any errors or warnings in this structure.

## WriteStream

WriteStream() makes the image pixels available to a user supplied callback method immediately upon writing pixel data with the WriteImage() method.

The format of the WriteStream() method is:

      MagickBooleanType WriteStream(const ImageInfo *image_info,Image *,
        StreamHandler stream)

A description of each parameter follows:

##### image_info

the image info.

##### stream

A callback method.

Public Key • Discourse Server • Studio • JqMagick